Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.soap
Class SOAPConnectionImpl

    java.lang.Object
      javax.xml.soap.SOAPConnection
          org.apache.axis.soap.SOAPConnectionImpl

public class SOAPConnectionImpl
extends javax.xml.soap.SOAPConnection

SOAP Connection implementation

Author:
  Davanum Srinivas (dims@yahoo.com)

Constructor Summary
`SOAPConnectionImpl()`

Method Summary
`javax.xml.soap.SOAPMessage` | `call(javax.xml.soap.SOAPMessage request, Object endpoint)` Sends the given message to the specified endpoint and blocks until it has returned the response.
`void` | `close()` Closes this `SOAPConnection` object.
`protected Call` | `createCall(Object endpoint)` Stubbed out to allow subclassing
`protected void` | `processAxisFault(AxisFault fault)` routine called whenever an axis fault is caught; where they are logged and any other business.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPConnectionImpl

    public SOAPConnectionImpl()

Method Detail

### call

    public javax.xml.soap.SOAPMessage call(javax.xml.soap.SOAPMessage request,
                                           Object endpoint)
                                    throws javax.xml.soap.SOAPException

  Sends the given message to the specified endpoint and blocks until it has returned the response.

  Parameters:
    `request` - the `SOAPMessage` object to be sent
    `endpoint` - a `URLEndpoint` object giving the URL to which the message should be sent
  Returns:
    the `SOAPMessage` object that is the response to the message that was sent
  Throws:
    `javax.xml.soap.SOAPException` - if there is a SOAP error

### processAxisFault

    protected void processAxisFault(AxisFault fault)

  routine called whenever an axis fault is caught; where they are logged and any other business. The method may modify the fault in the process

  Parameters:
    `fault` - what went wrong.

### createCall

    protected Call createCall(Object endpoint)
                       throws MalformedURLException

  Stubbed out to allow subclassing

  Throws:
    `MalformedURLException`

### close

    public void close()
               throws javax.xml.soap.SOAPException

  Closes this `SOAPConnection` object.

  Throws:
    `javax.xml.soap.SOAPException` - if there is a SOAP error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.